// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Bear : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part RightEar;
		Part LeftEar;

		// default constructor to register character, parts and decals
		Bear () : IHumanCharacterSideView ()
		{
			RightEar.RegisterParent ( Head );
			LeftEar.RegisterParent ( Head );

			Register ( 340, 340, 177, 339 );

			RegisterPart ( RightArm, "bear/RightArm.svg", -33, -74, 153, 138 );
			RegisterPart ( RightLeg, "bear/RightLeg.svg", -20, 0, 166, 212 );
			RegisterPart ( Body, "bear/Body.svg", 9, -127, 186, 212 );
			RegisterPart ( RightEar, "bear/RightEar.svg", -37, -72, 127, 39 );
			RegisterPart ( Head, "bear/Head.svg", -22, -101, 164, 111 );
			RegisterPart ( LeftEye, "bear/LeftEye.svg", -25, -26, 139, 85 );
			RegisterPart ( RightEye, "bear/RightEye.svg", -51, -33, 113, 78 );
			RegisterPart ( LeftEar, "bear/LeftEar.svg", 30, -67, 194, 44 );
			RegisterPart ( LeftLeg, "bear/LeftLeg.svg", 20, -6, 206, 206 );
			RegisterPart ( Mouth, "bear/Mouth.svg", -39, 2, 125, 113 );
			RegisterPart ( LeftArm, "bear/LeftArm.svg", 12, -67, 198, 145 );

			Mouth.RegisterDecal ( "SPEAK_M", "bear/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "bear/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "bear/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "bear/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "bear/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "bear/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "bear/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "bear/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "bear/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.3, 0.1, 1 );
		}
};
