// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: nicubunu_Comic_characters_Girl.svg

class Girl : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Girl () : IHumanCharacterSideView ()
		{
			Register ( 300, 300, 150, 295 );

			RegisterPart ( RightArm, "girl/right_arm.svg", -22, -87, 34, 6 );
			RegisterPart ( RightLeg, "girl/right_leg.svg", -12, -15, 37, 6 );
			RegisterPart ( LeftLeg, "girl/left_leg.svg", 13, -15, 36, 6 );
			RegisterPart ( Body, "girl/body.svg", 0, -70, 38, 116 );		
			RegisterPart ( Head, "girl/head.svg", -5, -118, 50, 110 );
			RegisterPart ( RightEye, "girl/right_eye.svg", -31, -42, 12, 12 );		
			RegisterPart ( LeftEye, "girl/left_eye.svg", -9, -45, 12, 12 );			
			RegisterPart ( Mouth, "girl/mouth.svg", -19, -3, 20, 15 );				
			RegisterPart ( LeftArm, "girl/left_arm.svg", 25, -85, 14, 6 );

			Mouth.RegisterDecal ( "SPEAK_M", "girl/mouth_m.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "girl/mouth_e.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "girl/mouth_a.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "girl/mouth_o.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "girl/mouth_w.svg" );

			LeftEye.RegisterDecal ( "WINK1", "girl/left_eye_wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "girl/left_eye_wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "girl/right_eye_wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "girl/right_eye_wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.5, 0.9, 1 );
		}
};
