// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker
// Parts of different images from openclipart.org were used

class Grandma : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Grandma () : IHumanCharacterSideView ()
		{
			Register ( 315, 315, 156, 314 );

			RegisterPart ( RightLeg, "grandma/RightLeg.svg", -15, 32, 143, 259 );
			RegisterPart ( LeftLeg, "grandma/LeftLeg.svg", 15, 44, 173, 271 );
			RegisterPart ( RightArm, "grandma/RightArm.svg", -27, -75, 131, 152 );
			RegisterPart ( Body, "grandma/Body.svg", 2, -87, 158, 227 );
			RegisterPart ( Head, "grandma/Head.svg", 0, -98, 158, 129 );
			RegisterPart ( LeftEye, "grandma/LeftEye.svg", -3, -36, 155, 93 );
			RegisterPart ( RightEye, "grandma/RightEye.svg", -33, -39, 125, 90 );
			RegisterPart ( Mouth, "grandma/Mouth.svg", -10, -1, 148, 128 );
			RegisterPart ( LeftArm, "grandma/LeftArm.svg", 34, -71, 192, 156 );

			Mouth.RegisterDecal ( "SPEAK_M", "grandma/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "grandma/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "grandma/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "grandma/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "grandma/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "grandma/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "grandma/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "grandma/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "grandma/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.3, 0.2, 1 );
		}
};
