// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class King : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Crown;
		Part Mustage;
		Part Nose;

		// default constructor to register character, parts and decals
		King () : IHumanCharacterSideView ()
		{
			Crown.RegisterParent ( Head );
			Mustage.RegisterParent ( Head );
			Nose.RegisterParent ( Head );

			Register ( 360, 360, 186, 355 );

			RegisterPart ( RightArm, "king/RightArm.svg", -43, -92, 140, 194 );
			RegisterPart ( RightLeg, "king/RightLeg.svg", -23, -1, 160, 285 );
			RegisterPart ( LeftLeg, "king/LeftLeg.svg", 17, 0, 200, 286 );
			RegisterPart ( Body, "king/Body.svg", -3, -69, 183, 286 );
			RegisterPart ( Head, "king/Head.svg", -4, -102, 179, 184 );
			RegisterPart ( Crown, "king/Crown.svg", 3, -123, 182, 61 );
			RegisterPart ( Mouth, "king/Mouth.svg", -2, -21, 177, 163 );
			RegisterPart ( Mustage, "king/Mustage.svg", -10, -51, 169, 133 );
			RegisterPart ( LeftEye, "king/LeftEye.svg", 3, -89, 182, 95 );
			RegisterPart ( RightEye, "king/RightEye.svg", -14, -89, 165, 95 );
			RegisterPart ( Nose, "king/Nose.svg", -12, -66, 167, 118 );
			RegisterPart ( LeftArm, "king/LeftArm.svg", 51, -81, 234, 205 );

			Mouth.RegisterDecal ( "SPEAK_M", "king/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "king/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "king/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "king/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "king/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "king/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "king/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "king/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "king/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.5, 0.2, 1 );
		}
};
