// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker

class Policeman : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Nose;
		Part Hat;

		// default constructor to register character, parts and decals
		Policeman () : IHumanCharacterSideView ()
		{
			Nose.RegisterParent ( Head );
			Hat.RegisterParent ( Head );

			Register ( 360, 360, 180, 354 );

			RegisterPart ( RightArm, "policeman/RightArm.svg", -20, -72, 153, 139 );
			RegisterPart ( RightLeg, "policeman/RightLeg.svg", -8, 12, 165, 223 );
			RegisterPart ( LeftLeg, "policeman/LeftLeg.svg", 23, 15, 196, 226 );
			RegisterPart ( Body, "policeman/Body.svg", -7, -143, 173, 211 );
			RegisterPart ( Head, "policeman/Head.svg", -2, -91, 171, 120 );
			RegisterPart ( Mouth, "policeman/Mouth.svg", -16, -13, 155, 107 );
			RegisterPart ( RightEye, "policeman/RightEye.svg", -28, -44, 143, 76 );
			RegisterPart ( Nose, "policeman/Nose.svg", -17, -32, 154, 88 );
			RegisterPart ( LeftEye, "policeman/LeftEye.svg", -3, -46, 168, 74 );
			RegisterPart ( LeftArm, "policeman/LeftArm.svg", 37, -79, 210, 132 );
			RegisterPart ( Hat, "policeman/Hat.svg", -1, -88, 170, 32 );

			Mouth.RegisterDecal ( "SPEAK_M", "policeman/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "policeman/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "policeman/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "policeman/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "policeman/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "policeman/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "policeman/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "policeman/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "policeman/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.4, 0.4, 1 );
		}
};
