// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker

class Alien : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Nose;

		// default constructor to register character, parts and decals
		Alien () : IHumanCharacterSideView ()
		{
			Nose.RegisterParent ( Head );

			Register ( 360, 360, 192, 349 );

			RegisterPart ( RightArm, "alien/RightArm.svg", -34, -90, 160, 161 );
			RegisterPart ( RightLeg, "alien/RightLeg.svg", -27, -1, 167, 250 );
			RegisterPart ( LeftLeg, "alien/LeftLeg.svg", 38, 0, 232, 251 );
			RegisterPart ( Head, "alien/Head.svg", -17, -113, 177, 138 );
			RegisterPart ( LeftEye, "alien/LeftEye.svg", -5, -41, 172, 97 );
			RegisterPart ( RightEye, "alien/RightEye.svg", -23, -42, 154, 96 );
			RegisterPart ( Mouth, "alien/Mouth.svg", -12, -21, 165, 117 );
			RegisterPart ( Nose, "alien/Nose.svg", -23, -28, 154, 110 );
			RegisterPart ( Body, "alien/Body.svg", 2, -98, 194, 251 );
			RegisterPart ( LeftArm, "alien/LeftArm.svg", 29, -92, 223, 159 );

			Mouth.RegisterDecal ( "SPEAK_M", "alien/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "alien/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "alien/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "alien/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "alien/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "alien/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "alien/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "alien/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "alien/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.2, 0.2, 1 );
		}
};
