// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker

class Astronaut : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Hose;
		Part BackPack;
		Part Nose;

		// default constructor to register character, parts and decals
		Astronaut () : IHumanCharacterSideView ()
		{
			Hose.RegisterParent ( Body );
			BackPack.RegisterParent ( Body );
			Nose.RegisterParent ( Head );

			Register ( 320, 320, 158, 297 );

			RegisterPart ( Hose, "astronaut/Hose.svg", 72, -70, 224, 118 );
			RegisterPart ( BackPack, "astronaut/BackPack.svg", 11, -17, 163, 171 );
			RegisterPart ( RightArm, "astronaut/RightArm.svg", -30, -70, 122, 118 );
			RegisterPart ( RightLeg, "astronaut/RightLeg.svg", -16, 2, 136, 190 );
			RegisterPart ( LeftLeg, "astronaut/LeftLeg.svg", 14, 6, 166, 194 );
			RegisterPart ( Body, "astronaut/Body.svg", -6, -109, 152, 188 );
			RegisterPart ( Head, "astronaut/Head.svg", -2, -89, 150, 99 );
			RegisterPart ( Mouth, "astronaut/Mouth.svg", -13, -6, 137, 93 );
			RegisterPart ( RightEye, "astronaut/RightEye.svg", -21, -37, 129, 62 );
			RegisterPart ( Nose, "astronaut/Nose.svg", -16, -23, 134, 76 );
			RegisterPart ( LeftEye, "astronaut/LeftEye.svg", 2, -36, 152, 63 );
			RegisterPart ( LeftArm, "astronaut/LeftArm.svg", 36, -70, 183, 122 );

			Mouth.RegisterDecal ( "SPEAK_M", "astronaut/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "astronaut/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "astronaut/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "astronaut/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "astronaut/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "astronaut/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "astronaut/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "astronaut/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "astronaut/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.4, 0.6, 1 );
		}
};
