// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Cheerleader : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Cheerleader () : IHumanCharacterSideView ()
		{
			Register ( 340, 340, 167, 334 );

			RegisterPart ( RightLeg, "cheerleader/RightLeg.svg", -7, 59, 149, 192 );
			RegisterPart ( LeftLeg, "cheerleader/LeftLeg.svg", 21, 52, 177, 185 );
			RegisterPart ( RightArm, "cheerleader/RightArm.svg", -8, -65, 148, 68 );
			RegisterPart ( Body, "cheerleader/Body.svg", -11, -201, 156, 133 );
			RegisterPart ( Head, "cheerleader/Head.svg", 0, -80, 156, 53 );
			RegisterPart ( LeftArm, "cheerleader/LeftArm.svg", 32, -55, 188, 78 );
			RegisterPart ( Mouth, "cheerleader/Mouth.svg", -6, -2, 150, 51 );
			RegisterPart ( RightEye, "cheerleader/RightEye.svg", -12, -16, 144, 37 );
			RegisterPart ( LeftEye, "cheerleader/LeftEye.svg", -2, -17, 154, 36 );

			Mouth.RegisterDecal ( "SPEAK_M", "cheerleader/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "cheerleader/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "cheerleader/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "cheerleader/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "cheerleader/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "cheerleader/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "cheerleader/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "cheerleader/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "cheerleader/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.6, 0.9, 1 );
		}
};
