// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Crow : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Tail;

		// default constructor to register character, parts and decals
		Crow () : IHumanCharacterSideView ()
		{
			Tail.RegisterParent ( Body );

			Register ( 200, 200, 93, 193 );

			RegisterPart ( RightArm, "crow/RightArm.svg", -14, -14, 77, 89 );
			RegisterPart ( RightLeg, "crow/RightLeg.svg", -14, 37, 77, 140 );
			RegisterPart ( Body, "crow/Body.svg", -2, -90, 91, 103 );
			RegisterPart ( Tail, "crow/Tail.svg", 43, -23, 134, 80 );
			RegisterPart ( Head, "crow/Head.svg", -22, -20, 69, 83 );
			RegisterPart ( LeftEye, "crow/LeftEye.svg", -14, -23, 55, 60 );
			RegisterPart ( RightEye, "crow/RightEye.svg", -32, -29, 37, 54 );
			RegisterPart ( Mouth, "crow/Mouth.svg", -27, -6, 42, 77 );
			RegisterPart ( LeftLeg, "crow/LeftLeg.svg", 13, 35, 104, 138 );
			RegisterPart ( LeftArm, "crow/LeftArm.svg", -4, -13, 87, 90 );

			Mouth.RegisterDecal ( "SPEAK_M", "crow/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "crow/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "crow/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "crow/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "crow/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "crow/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "crow/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "crow/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "crow/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.6, 0.9, 1 );
		}
};
