// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: nicubunu_Comic_characters_Emo.svg

class Emo : public IHumanCharacterSideView
{
	public:

		// default constructor to register character, parts and decals
		Emo () : IHumanCharacterSideView ()
		{
			Register ( 340, 340, 180, 333 );

			RegisterPart ( RightArm, "emo/RightArm.svg", -33, -65, 151, 165 );
			RegisterPart ( RightLeg, "emo/RightLeg.svg", -10, 7, 174, 237 );
			RegisterPart ( LeftLeg, "emo/LeftLeg.svg", 10, 7, 194, 237 );
			RegisterPart ( Body, "emo/Body.svg", 4, -103, 184, 230 );
			RegisterPart ( Head, "emo/Head.svg", 0, -93, 184, 137 );
			RegisterPart ( LeftEye, "emo/LeftEye.svg", -15, -49, 169, 88 );
			RegisterPart ( RightEye, "emo/RightEye.svg", -43, -51, 141, 86 );
			RegisterPart ( Mouth, "emo/Mouth.svg", -28, -10, 156, 127 );
			RegisterPart ( LeftArm, "emo/LeftArm.svg", 18, -66, 202, 164 );

			Mouth.RegisterDecal ( "SPEAK_M", "emo/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "emo/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "emo/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "emo/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "emo/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "emo/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "emo/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "emo/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "emo/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.5, 0.8, 1 );
		}
};
