// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker

class Militioner : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Nose;

		// default constructor to register character, parts and decals
		Militioner () : IHumanCharacterSideView ()
		{
			Nose.RegisterParent ( Head );

			Register ( 420, 380, 237, 375 );

			RegisterPart ( RightArm, "militioner/RightArm.svg", -23, -125, 199, 144 );
			RegisterPart ( RightLeg, "militioner/RightLeg.svg", -17, -8, 205, 261 );
			RegisterPart ( LeftLeg, "militioner/LeftLeg.svg", 33, -7, 255, 262 );
			RegisterPart ( Body, "militioner/Body.svg", -15, -106, 222, 269 );
			RegisterPart ( Head, "militioner/Head.svg", 18, -143, 240, 126 );
			RegisterPart ( Mouth, "militioner/Mouth.svg", -20, -23, 220, 103 );
			RegisterPart ( RightEye, "militioner/RightEye.svg", -20, -59, 220, 67 );
			RegisterPart ( Nose, "militioner/Nose.svg", -21, -49, 219, 77 );
			RegisterPart ( LeftEye, "militioner/LeftEye.svg", -5, -55, 235, 71 );
			RegisterPart ( LeftArm, "militioner/LeftArm.svg", 62, -129, 284, 140 );

			Mouth.RegisterDecal ( "SPEAK_M", "militioner/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "militioner/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "militioner/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "militioner/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "militioner/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "militioner/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "militioner/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "militioner/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "militioner/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.5, 0.4, 1 );
		}
};
