// Web Cartoon Maker character include file
// The character was created by Web Cartoon Maker

class Rabbit : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part RightEar;
		Part LeftEar;

		// default constructor to register character, parts and decals
		Rabbit () : IHumanCharacterSideView ()
		{
			RightEar.RegisterParent ( Head );
			LeftEar.RegisterParent ( Head );

			Register ( 280, 280, 150, 260 );

			RegisterPart ( RightArm, "rabbit/RightArm.svg", -30, -37, 108, 151 );
			RegisterPart ( RightLeg, "rabbit/RightLeg.svg", -18, 8, 120, 196 );
			RegisterPart ( RightEar, "rabbit/RightEar.svg", 7, -59, 136, 70 );
			RegisterPart ( LeftEar, "rabbit/LeftEar.svg", 28, -59, 157, 70 );
			RegisterPart ( Body, "rabbit/Body.svg", -12, -72, 138, 188 );
			RegisterPart ( Head, "rabbit/Head.svg", -9, -59, 129, 129 );
			RegisterPart ( RightEye, "rabbit/RightEye.svg", -18, -27, 111, 102 );
			RegisterPart ( LeftEye, "rabbit/LeftEye.svg", 18, -28, 147, 101 );
			RegisterPart ( Mouth, "rabbit/Mouth.svg", -7, 10, 122, 139 );
			RegisterPart ( LeftLeg, "rabbit/LeftLeg.svg", 21, 14, 159, 202 );
			RegisterPart ( LeftArm, "rabbit/LeftArm.svg", 11, -34, 149, 154 );

			Mouth.RegisterDecal ( "SPEAK_M", "rabbit/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "rabbit/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "rabbit/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "rabbit/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "rabbit/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "rabbit/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "rabbit/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "rabbit/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "rabbit/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mike", 0.5, 0.7, 1 );
		}
};
