// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character was created by Web Cartoon Maker
// Parts of different images from openclipart.org were used

class Witch : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Nose;

		// default constructor to register character, parts and decals
		Witch () : IHumanCharacterSideView ()
		{
			Nose.RegisterParent ( Head );

			Register ( 350, 350, 188, 340 );

			RegisterPart ( RightArm, "witch/RightArm.svg", -25, -104, 157, 170 );
			RegisterPart ( RightLeg, "witch/RightLeg.svg", -17, -6, 165, 268 );
			RegisterPart ( LeftLeg, "witch/LeftLeg.svg", 26, -3, 208, 271 );
			RegisterPart ( Body, "witch/Body.svg", -6, -66, 182, 274 );
			RegisterPart ( Head, "witch/Head.svg", -3, -128, 179, 146 );
			RegisterPart ( RightEye, "witch/RightEye.svg", -26, -45, 153, 101 );
			RegisterPart ( LeftEye, "witch/LeftEye.svg", -12, -44, 167, 102 );
			RegisterPart ( Mouth, "witch/Mouth.svg", -25, 18, 154, 164 );
			RegisterPart ( Nose, "witch/Nose.svg", -25, -26, 154, 120 );
			RegisterPart ( LeftArm, "witch/LeftArm.svg", 35, -108, 217, 166 );

			Mouth.RegisterDecal ( "SPEAK_M", "witch/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "witch/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "witch/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "witch/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "witch/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "witch/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "witch/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "witch/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "witch/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.4, 0.2, 1 );
		}
};
