// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: nicubunu_Comic_characters_Blonde.svg

class Woman : public IHumanCharacterSideView
{
	public:
	
		// additional part is required because the hair suppose to be on top of left eye
		Part Hair;
		
		// default constructor to register character, parts and decals
		Woman () : IHumanCharacterSideView ()
		{
			Hair.RegisterParent ( Head );
			
			Register ( 340, 340, 165, 330 );

			RegisterPart ( RightArm, "woman/right_arm.svg", -14, -118, 28, 10 );
			RegisterPart ( RightLeg, "woman/right_leg.svg", -12, -26, 32, 4 );
			RegisterPart ( LeftLeg, "woman/left_leg.svg", 16, -30, 24, 6 );
			RegisterPart ( Body, "woman/body.svg", 0, -78, 43, 157 );		
			RegisterPart ( Head, "woman/head.svg", 2, -154, 56, 98 );
			RegisterPart ( RightEye, "woman/right_eye.svg", -30, -40, 11, 14 );				RegisterPart ( LeftEye, "woman/left_eye.svg", -6, -40, 11, 14 );	
			RegisterPart ( Hair, "woman/hair.svg", 0, 0, 56, 98 );
			RegisterPart ( Mouth, "woman/mouth.svg", -17, 0, 25, 15 );		
			RegisterPart ( LeftArm, "woman/left_arm.svg", 26, -116, 28, 10 );

			Mouth.RegisterDecal ( "SPEAK_M", "woman/mouth_m.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "woman/mouth_e.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "woman/mouth_a.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "woman/mouth_o.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "woman/mouth_w.svg" );

			LeftEye.RegisterDecal ( "WINK1", "woman/left_eye_wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "woman/left_eye_wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "woman/right_eye_wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "woman/right_eye_wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Mary", 0.5, 0.5, 1 );
		}
};